{
"paymentMode": "UPI",
"amount": 1000,
"customerName": "custname",
"customerEmail": "kartik.kalia@gmail.com",
"customerPhone": "9898989899",
"description": "test",
"note": "note",
"dueDate": "2026-10-31",
"notifyEmail": true,
"notifyPhone": true,
"reference": "refnum",
"minAmount": 1,
"expiryDate": "2027-04-14 23:59:27",
"partialPaymentAllowed": true
}curl --location 'https://kashflo-uat.enkash.in//api/v0/quick-collect' \
--header 'Authorization: Bearer ZW5rYXNoLWNsaWVudDplbmthc2gtc2VjcmV0' \
--header 'Content-Type: application/json' \
--data-raw '{
"paymentMode": "UPI",
"amount": 1000,
"customerName": "custname",
"customerEmail": "kartik.kalia@gmail.com",
"customerPhone": "9898989899",
"description": "test",
"note": "note",
"dueDate": "2026-10-31",
"notifyEmail": true,
"notifyPhone": true,
"reference": "refnum",
"minAmount": 1,
"expiryDate": "2027-04-14 23:59:27",
"partialPaymentAllowed": true
}'{
"amount": 1000.00,
"customerId": "123",
"customerName": "custname",
"customerEmail": "kartik.kalia@gmail.com",
"customerPhone": "9898989899",
"description": "test",
"dueDate": "2026-10-31",
"notifyEmail": true,
"notifyPhone": true,
"paymentLink": "https://example.com/pay/123",
"payoutDetails": [],
"payoutStatus": {
"label": "Unpaid",
"name": "UNPAID"
},
"receivableStatus": {
"label": "Unpaid",
"name": "UNPAID"
},
"status": "ACTIVE",
"minAmount": 1.00,
"totalReceived": 0.00,
"balanceAmount": 1000.00,
"partialPaymentAllowed": true,
"paymentLinkSource": "INVOICE"
}